Commit faa920f9 authored by Dries's avatar Dries

- Patch #1006838 by coltrane: upgrade to 7 glaring timezone invalid notice.

parent b2048676
......@@ -7902,7 +7902,7 @@
'access' => '0',
'login' => '0',
'status' => '0',
'timezone' => NULL,
'timezone' => '-21600',
'language' => '',
'picture' => '',
'init' => '',
......@@ -7923,7 +7923,7 @@
'access' => '1277671612',
'login' => '1277671612',
'status' => '1',
'timezone' => NULL,
'timezone' => '-21600',
'language' => '',
'picture' => '',
'init' => 'admin@example.com',
......
......@@ -349,9 +349,18 @@ function update_check_requirements() {
require_once DRUPAL_ROOT . '/includes/unicode.inc';
update_prepare_d7_bootstrap();
// Temporarily disable configurable timezones so the upgrade process uses the
// site-wide timezone. This prevents a PHP notice during session initlization
// and before offsets have been converted in user_update_7002().
$configurable_timezones = variable_get('configurable_timezones', 1);
$conf['configurable_timezones'] = 0;
// Determine if the current user has access to run update.php.
drupal_bootstrap(DRUPAL_BOOTSTRAP_SESSION);
// Reset configurable timezones.
$conf['configurable_timezones'] = $configurable_timezones;
// Only allow the requirements check to proceed if the current user has access
// to run updates (since it may expose sensitive information about the site's
// configuration).
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment